#!/bin/bash
#SBATCH --job-name=DeviceQuery
#SBATCH --nodes=1
#SBATCH --partition=ampere
#SBATCH --gres=gpu:2
#SBATCH --time=10:00

nvidia-smi

# load the required modules
module load centos8 gcc/11.2.0 cuda/12.2.1

# change to the cuda sample directory
cd cuda-samples-v12.2/Samples/deviceQuery

# compile and run deviceQuery
make
./deviceQuery
